cannot suspend usb devices on lucid

Bug #515109 reported by Daniele Cruciani on 2010-01-31
82
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

when i put computer in sleep mode this is the dmesg:

[ 380.876233] PM: Syncing filesystems ... done.
[ 380.905949] PM: Preparing system for mem sleep
[ 380.905955] Freezing user space processes ... (elapsed 0.00 seconds) done.
[ 380.907775] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) don
e.
[ 380.907943] PM: Entering mem sleep
[ 380.907959] Suspending console(s) (use no_console_suspend to debug)
[ 380.980055] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 381.288204] sd 0:0:0:0: [sda] Stopping disk
[ 383.780171] pm_op(): usb_dev_suspend+0x0/0x20 returns -16
[ 383.780175] PM: Device usb1 failed to suspend: error -16
[ 383.780177] PM: Some devices failed to suspend
[ 383.780369] sd 0:0:0:0: [sda] Starting disk
[ 385.674724] PM: resume devices took 1.890 seconds
[ 385.674736] PM: Finishing wakeup.
[ 385.674738] Restarting tasks ... done.

I removed all usb device, but problem persist

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: daniele 2596 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xc0000000 irq 17'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,10250000,00100002 HDA:14f12bfa,10250093,00090000'
   Controls : 25
   Simple ctrls : 15
Date: Sun Jan 31 13:23:08 2010
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=4dda44f8-4af3-48ee-a792-83453ef293e5
Lsusb:
 Bus 002 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
 Bus 002 Device 004: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 004: ID 0402:5602 ALi Corp. Video Camera Controller
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer Aspire 9300
NonfreeKernelModules: nvidia
Package: linux-image-2.6.32-12-generic 2.6.32-12.16
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-12-generic root=UUID=793246ac-c5ff-421b-a508-052d57cca90c ro rootfstype=ext4 quiet splash
ProcEnviron:
 LANGUAGE=it_IT.UTF-8
 PATH=(custom, user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.28
Reproducible: Yes
SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.32-12-generic x86_64
WpaSupplicantLog:

dmi.bios.date: 12/13/2006
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.14
dmi.board.name: Myallm
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.14:bd12/13/2006:svnAcer:pnAspire9300:pvr0100:rvnAcer:rnMyallm:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 9300
dmi.product.version: 0100
dmi.sys.vendor: Acer

Surbhi Palande (csurbhi) on 2010-02-05
summary: - do not go to sleep mode
+ cannot suspend usb devices on lucid
Andy Whitcroft (apw) on 2010-02-05
Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → Medium

kern.log:
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.471723] PM: Syncing filesystems ... done.
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.533022] PM: Preparing system for mem sleep
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.533028] Freezing user space processes ... (elapsed 0.00 seconds) done.
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.535108] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.535280] PM: Entering mem sleep
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.535296] Suspending console(s) (use no_console_suspend to debug)
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.630707] btusb_intr_complete: hci0 urb ffff8800379f2a80 failed to resubmit (1)
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.631689] btusb_bulk_complete: hci0 urb ffff8800379f2b40 failed to resubmit (1)
Feb 8 13:06:10 daniele-laptop kernel: [ 7308.632689] btusb_bulk_complete: hci0 urb ffff8800379f29c0 failed to resubmit (1)
Feb 8 13:06:10 daniele-laptop kernel: [ 7309.048189] sd 0:0:0:0: [sda] Synchronizing SCSI cache
Feb 8 13:06:10 daniele-laptop kernel: [ 7309.048325] sd 0:0:0:0: [sda] Stopping disk
Feb 8 13:06:10 daniele-laptop kernel: [ 7311.200174] pm_op(): usb_dev_suspend+0x0/0x20 returns -16
Feb 8 13:06:10 daniele-laptop kernel: [ 7311.200177] PM: Device usb1 failed to suspend: error -16
Feb 8 13:06:10 daniele-laptop kernel: [ 7311.200180] PM: Some devices failed to suspend
Feb 8 13:06:10 daniele-laptop kernel: [ 7311.330197] sd 0:0:0:0: [sda] Starting disk
Feb 8 13:06:10 daniele-laptop kernel: [ 7313.300724] PM: resume devices took 2.100 seconds
Feb 8 13:06:10 daniele-laptop kernel: [ 7313.300738] PM: Finishing wakeup.

I can not remove camera (which is integrated) I suspect it is the problematic device
usb-devices:
T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=02.06
S: Manufacturer=Linux 2.6.32-12-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:0b.1
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=05 Cnt=01 Dev#= 4 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0402 ProdID=5602 Rev=01.00
S: Product=USB2.0 Camera
C: #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 8
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0001 Rev=02.06
S: Manufacturer=Linux 2.6.32-12-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0b.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=02 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 2 Spd=1.5 MxCh= 0
D: Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs= 1
P: Vendor=046d ProdID=c00e Rev=11.10
S: Manufacturer=Logitech
S: Product=USB-PS/2 Optical Mouse
C: #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=98mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=03(HID ) Sub=01 Prot=02 Driver=usbhid

T: Bus=02 Lev=01 Prnt=01 Port=03 Cnt=02 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0a12 ProdID=0001 Rev=31.64
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

also affect 2.6.32.13.13

theeld (carllewis) wrote :
Download full text (5.9 KiB)

I have exactly the same problem and the same built-in USB device, so I can confirm its not an isolated instance.
The device driver (gspca_m5602) being loaded/unloaded makes no difference.
Suspend worked in karmic.

lsusb -v
Bus 001 Device 002: ID 0402:5602 ALi Corp. Video Camera Controller
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0402 ALi Corp.
  idProduct 0x5602 Video Camera Controller
  bcdDevice 1.00
  iManufacturer 0
  iProduct 1 USB2.0 Camera
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 101
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0000 1x 0 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0000 1x 0 bytes
        bInterval 4
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 1
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x1400 3x 1024 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 3
          Transfer Typ...

Read more...

theeld (carllewis) wrote :
theeld (carllewis) wrote :
theeld (carllewis) wrote :

2.6.32-11 worked (I can not test now because I cant start it with new nvidia module)
2.6.32-12 does not work
2.6.32-13 does not work
2.6.32-14 does not work

Erik Andrén (erik-andren) wrote :

Hi,
I'm the upstream kernel maintainer of the m5602 module. AFAICT, this only affects the m5602 connected to a s5k83a sensor. Unfortunately I don't have this hardware combination which makes this issue more hard to debug.
If possible I need someone with the issue to compile the vanilla kernel and perform a git bisect to identify the offending commit.

theeld (carllewis) wrote :

Erik, I'll give it a go on the weekend if nobody has beaten me to it.

theeld (carllewis) wrote :

Still working on it. Started git bisecting the mainline kernel but, given I dont know how the ubuntu releases match up against it,
was pretty much a waste of time. I've since found the lucid repository and so am starting again against that.
"Roughly 5 steps" sounds a hell of a lot better than "Roughly 14 steps" especially on an early Turion!

theeld (carllewis) wrote :

OK git points the finger at this commit which (pleasingly) at least looks feasible.

root@grouchy:/usr/local/src/lucid-git# git bisect bad
Bisecting: 0 revisions left to test after this (roughly 0 steps)
[4ed1991fc73858f66a35d9f4939f596beff41fc5] USB: EHCI & UHCI: fix race between root-hub suspend and port resume

Full git bisect log attached.

I'm going to try the head of the lucid git tree now to see if it's been fixed in the interim.
Carl.

I found the patch:
http://lkml.org/lkml/2010/1/22/408
I think something else is problematic, I contacted author of patch and cc Erik

theeld (carllewis) wrote :

Probably not of any further help, but jic suspend still broken as of
commit 8bd75cee3bd4b4f231dc189c8ff2cda2641e1307

in the lucid-git repository
Carl

I copy here author replay:
Alan Stern:
"
The problem is caused by the fact that the camera is issuing a wakeup
request. Naturally, that causes the suspend to fail. (Earlier kernel
versions would mistakenly discard the wakeup request, so they didn't
experience the problem.)

I don't know why a camera should ask for a wakeup, but you can prevent
it from doing so by doing:

        echo disabled >/sys/bus/usb/devices/.../power/wakeup

where the "..." is the camera's USB device name (1-6 if I read the
device listing correctly). The best way to handle this will be to add
a udev rule to do it automatically when the camera is first detected.
The rule can be added to the udev distribution to help other people
with similar hardware.

Until that happens, you can always do it by hand.

Alan Stern
"

Ok, it works for me (tough I found another problem in resume,
maybe in nvidia ... Bug #518753 )

theeld (carllewis) wrote :

udev rule to implement the workaround Alan Stern has kindly provided.
Now to just stop X seg faulting on resume.....

Ok, I guess that

Mar 5 17:47:15 daniele-laptop bonobo-activation-server (daniele-7151): could not associate with desktop session: Failed to connect to socket /tmp/dbus-ySDFXmgprL: Connessione rifiutata

is actually the real problem ( Bug #533207 )

theeld rule works only on first load of module, after first suspend I have
$ cat /sys/bus/usb/devices/1-6/power/wakeup
enabled
so system do not suspend, I do not know if there is action resume or something that do the trick or it has to be done somewhere else

same issue with this device, too:
Bus 002 Device 003: ID 064e:a102 Suyin Corp.

the mentioned workaround (removing the wakeup permission) works for me.

ok, last update from Alan is a patch that disable wakeup permission to all usb device by default, but it has still to be included to kernel (it should go in stable tree shortly)

Punkadiddle (punkadiddle) wrote :

I have the same problem with the Suyin camera (as mentioned by Alexander above).

Running the following for my camera
echo disabled >/sys/bus/usb/devices/1-2/power/wakeup
fails with "invalid argument" (it works for the autosuspend file of the same device)

cat /sys/bus/usb/devices/1-2/power/wakeup
displays an empty line

Chris (cmavr8) wrote :

Workaraound/patch works for me too, but just for the first suspend after a clean boot. Any ideas on how to "reset" the benefit without restarting the computer?

kennymchansen (kennymchansen) wrote :

The workaround work for me as well, but only once. Anyone knows how to make it permanent? This is a very annoying bug!

kennymchansen (kennymchansen) wrote :

echo disabled >/sys/bus/usb/devices/.../power/wakeup is working in my case. but only until next reboot. How do i make this change permanent? Can i put it in a startup-script?

The udev rule doesn't work for me - Or perhaps i am implementing it the wrong way? the rule is going into: /lib/udev/rules.d - Is this right?

Chris (cmavr8) wrote :

No! it should be in /etc/udev/rules.d!

I get a "permission denied" every time I try to manually echo "disabled"!

Why does it work on SOME people only?
I have a really long flight next saturday and I need suspend on my laptop!

Download full text (3.9 KiB)

you should use sudo su and then echo disabled.

you can also make a script in /etc/pm/sleep.d/ with:
#!/bin/bash
echo disabled >/sys/bus/usb/devices/.../power/wakeup

2010/5/2 cmavr8 <email address hidden>

> No! it should be in /etc/udev/rules.d!
>
> I get a "permission denied" every time I try to manually echo
> "disabled"!
>
> Why does it work on SOME people only?
> I have a really long flight next saturday and I need suspend on my laptop!
>
> --
> cannot suspend usb devices on lucid
> https://bugs.launchpad.net/bugs/515109
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> when i put computer in sleep mode this is the dmesg:
>
> [ 380.876233] PM: Syncing filesystems ... done.
> [ 380.905949] PM: Preparing system for mem sleep
> [ 380.905955] Freezing user space processes ... (elapsed 0.00 seconds)
> done.
> [ 380.907775] Freezing remaining freezable tasks ... (elapsed 0.00
> seconds) don
> e.
> [ 380.907943] PM: Entering mem sleep
> [ 380.907959] Suspending console(s) (use no_console_suspend to debug)
> [ 380.980055] sd 0:0:0:0: [sda] Synchronizing SCSI cache
> [ 381.288204] sd 0:0:0:0: [sda] Stopping disk
> [ 383.780171] pm_op(): usb_dev_suspend+0x0/0x20 returns -16
> [ 383.780175] PM: Device usb1 failed to suspend: error -16
> [ 383.780177] PM: Some devices failed to suspend
> [ 383.780369] sd 0:0:0:0: [sda] Starting disk
> [ 385.674724] PM: resume devices took 1.890 seconds
> [ 385.674736] PM: Finishing wakeup.
> [ 385.674738] Restarting tasks ... done.
>
> I removed all usb device, but problem persist
>
> ProblemType: Bug
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: daniele 2596 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xc0000000 irq 17'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,10250000,00100002
> HDA:14f12bfa,10250093,00090000'
> Controls : 25
> Simple ctrls : 15
> Date: Sun Jan 31 13:23:08 2010
> DistroRelease: Ubuntu 10.04
> HibernationDevice: RESUME=UUID=4dda44f8-4af3-48ee-a792-83453ef293e5
> Lsusb:
> Bus 002 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth
> Dongle (HCI mode)
> Bus 002 Device 004: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical
> Wheel Mouse
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 004: ID 0402:5602 ALi Corp. Video Camera Controller
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Acer Aspire 9300
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.32-12-generic 2.6.32-12.16
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-12-generic
> root=UUID=793246ac-c5ff-421b-a508-052d57cca90c ro rootfstype=ext4 quiet
> splash
> ProcEnviron:
> LANGUAGE=it_IT.UTF-8
> PATH=(custom, user)
> LANG=it_IT.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
> Regression: Yes
> RelatedPackag...

Read more...

Chris (cmavr8) wrote :

Maybe I got the wrong bus/port:
$ lsusb
Bus 001 Device 002: ID 0402:5602 ALi Corp. Video Camera Controller

also:
$ ls /sys/bus/usb/devices/
1-0:1.0 1-5 1-5:1.0 2-0:1.0 3-0:1.0 4-0:1.0 4-2 4-2:1.0 5-0:1.0 usb1 usb2 usb3 usb4 usb5

There is no "1-2" device!
I think it is 1-0:1.0 but:
$ sudo su echo disabled > /sys/bus/usb/devices/1-0\:1.0/power/wakeup
-bash: /sys/bus/usb/devices/1-0:1.0/power/wakeup: Permission denied

kennymchansen (kennymchansen) wrote :
Download full text (4.0 KiB)

try:
echo disabled > /sys/bus/usb/devices/usb2/power/wakeup

- it worked for me

2010/5/2 cmavr8 <email address hidden>

> Maybe I got the wrong bus/port:
> $ lsusb
> Bus 001 Device 002: ID 0402:5602 ALi Corp. Video Camera Controller
>
> also:
> $ ls /sys/bus/usb/devices/
> 1-0:1.0 1-5 1-5:1.0 2-0:1.0 3-0:1.0 4-0:1.0 4-2 4-2:1.0 5-0:1.0
> usb1 usb2 usb3 usb4 usb5
>
> There is no "1-2" device!
> I think it is 1-0:1.0 but:
> $ sudo su echo disabled > /sys/bus/usb/devices/1-0\:1.0/power/wakeup
> -bash: /sys/bus/usb/devices/1-0:1.0/power/wakeup: Permission denied
>
> --
> cannot suspend usb devices on lucid
> https://bugs.launchpad.net/bugs/515109
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> when i put computer in sleep mode this is the dmesg:
>
> [ 380.876233] PM: Syncing filesystems ... done.
> [ 380.905949] PM: Preparing system for mem sleep
> [ 380.905955] Freezing user space processes ... (elapsed 0.00 seconds)
> done.
> [ 380.907775] Freezing remaining freezable tasks ... (elapsed 0.00
> seconds) don
> e.
> [ 380.907943] PM: Entering mem sleep
> [ 380.907959] Suspending console(s) (use no_console_suspend to debug)
> [ 380.980055] sd 0:0:0:0: [sda] Synchronizing SCSI cache
> [ 381.288204] sd 0:0:0:0: [sda] Stopping disk
> [ 383.780171] pm_op(): usb_dev_suspend+0x0/0x20 returns -16
> [ 383.780175] PM: Device usb1 failed to suspend: error -16
> [ 383.780177] PM: Some devices failed to suspend
> [ 383.780369] sd 0:0:0:0: [sda] Starting disk
> [ 385.674724] PM: resume devices took 1.890 seconds
> [ 385.674736] PM: Finishing wakeup.
> [ 385.674738] Restarting tasks ... done.
>
> I removed all usb device, but problem persist
>
> ProblemType: Bug
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: daniele 2596 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xc0000000 irq 17'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,10250000,00100002
> HDA:14f12bfa,10250093,00090000'
> Controls : 25
> Simple ctrls : 15
> Date: Sun Jan 31 13:23:08 2010
> DistroRelease: Ubuntu 10.04
> HibernationDevice: RESUME=UUID=4dda44f8-4af3-48ee-a792-83453ef293e5
> Lsusb:
> Bus 002 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth
> Dongle (HCI mode)
> Bus 002 Device 004: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical
> Wheel Mouse
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 004: ID 0402:5602 ALi Corp. Video Camera Controller
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Acer Aspire 9300
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.32-12-generic 2.6.32-12.16
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-12-generic
> root=UUID=793246ac-c5ff-421b-a508-052d57cca90c ro rootfstype=ext4 quiet
> splash
> ProcEnviron:
> LANGUAGE=it_IT.UTF-8
> PATH=(custom...

Read more...

Chris (cmavr8) wrote :

Ok! I did it!

It was "sudo -i" first, then:
echo disabled > /sys/bus/usb/devices/usb1/power/wakeup

Thank you very much!

Workaround with script in /etc/pm/sleep.d works for me.
Thanx!

TheDreamer (thedreamer-lhaven) wrote :

When I discovered suspend wasn't working after upgrading to lucid, I tried various things...and found that if I boot with old karmic kernel (2.6.31-21) suspend works.

But, that wasn't very satisfactory, so I kept looking....eventually found "PM: Device usb2 failed to suspend: error -16", and then I found this bug report. The workaround also seems to be working for me.

nere (christian-broselid) wrote :

I'm on a lenovo v100 with integrated usb cam (s5k83a sensor), experiencing the same problem, but with:
echo disabled > /sys/bus/usb/devices/usb1/power/wakeup
suspend now works.
Thanks everyone!

TheDreamer (thedreamer-lhaven) wrote :

I'm on a lenovo v200, and there is no XHCI module loaded...so I don't think 522998 is actually a duplicate of this issue.

I was using the 'echo disabled > /sys/bus/usb/devices/usb1/power/wakeup' kluge -- EHCI Host Controller. But, last night I upgraded to the 2.6.32-25.44 and discovered this morning that suspend did not happen.

open/close, open/close, still no suspend.

At one time, I used the kluge of 'echo disabled > /sys/bus/usb/devices/usb2/power/wakeup' -- also an EHCI Host Controller, based on a suggestion I found in a google search. But, it had stopped working after some kernel upgrade...so I had switched.

Well, switching back to disabled for usb2 has suspend working again.

Wonder what happens if I just do both....

mikewhatever (mikewhatever) wrote :

The has also been backported to Karmic, probably through kernel updates.
Suspending to ram and disk used to work for me on Karmic, but now there is the same 'error 16' message.

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 064e:a129 Suyin Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 413c:02b0 Dell Computer Corp.
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

hub 1-0:1.0: suspend error -16
pm_op(): usb_dev_suspend+0x0/0x10 returns -16
PM: Device usb1 failed to suspend: error -16
PM: Some devices failed to suspend

Note: Bug #522998 is not the duplicate of this one. #522998 deals with USB3 ports, whereas this one is apparently caused by built in laptop webcams.

Justin Dugger (jldugger) wrote :

Removing duplicate status.

Justin Dugger (jldugger) on 2010-12-23
Changed in linux (Ubuntu):
status: Triaged → New
gio10 (giovanni-martinelli10) wrote :

Hi,
thank you for the info. It worked for me too.

Notebook acer aspire 5100
lsusb:
Bus 001 Device 003: ID 0402:5602 ALi Corp. Video Camera Controller

As suggested I did a new file:

/etc/pm/sleep.d/20_ali_corp_video_camera
chmod ugo+x /etc/pm/sleep.d/20_ali_corp_video_camera

#!/bin/bash
echo disabled >/sys/bus/usb/devices/1-4/power/wakeup

Note: for this machine I had to add the following line in /etc/pm/config.d/00sleep_module in order to restore correctly the display:
ADD_PARAMETERS="--quirk-vbe-post --quirk-vbemode-restore --quirk-vbestate-restore"

Brad Figg (brad-figg) on 2011-04-06
Changed in linux (Ubuntu):
status: New → Confirmed

Daniele Cruciani, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder, but the one at the top) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-1.20
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

this machine (laptop) is in use by my mother, and I confirm she has to shutdown because of bug (update to 13.10 does not fix it).
I will execute apport-collect on that laptop

Also using nouveau driver the laptop goes in sleep mode (thus it works), but that driver is not complete, it pretends to work with a ridicolous resolution, so I switched back to the non-free nvidia driver

ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pierina 2646 F.... pulseaudio
DistroRelease: Ubuntu 13.10
HibernationDevice: RESUME=UUID=4dda44f8-4af3-48ee-a792-83453ef293e5
Lsusb:
 Bus 001 Device 003: ID 0402:5602 ALi Corp. M5602 Video Camera Controller
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Acer Aspire 9300
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-14-generic root=UUID=793246ac-c5ff-421b-a508-052d57cca90c ro rootfstype=ext4 quiet splash
ProcVersionSignature: Ubuntu 3.11.0-14.21-generic 3.11.7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-14-generic N/A
 linux-backports-modules-3.11.0-14-generic N/A
 linux-firmware 1.116
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: saucy
Uname: Linux 3.11.0-14-generic x86_64
UpgradeStatus: Upgraded to saucy on 2013-09-05 (102 days ago)
UserGroups: adm admin lpadmin sambashare
WifiSyslog: Dec 17 21:21:32 daniele-laptop wpa_supplicant[1482]: wlan1: WPA: Group rekeying completed with 84:c9:b2:f9:6c:81 [GTK=TKIP]
WpaSupplicantLog:

dmi.bios.date: 12/13/2006
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.14
dmi.board.name: Myallm
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.14:bd12/13/2006:svnAcer:pnAspire9300:pvr0100:rvnAcer:rnMyallm:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 9300
dmi.product.version: 0100
dmi.sys.vendor: Acer

tags: added: apport-collected saucy

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pierina 2646 F.... pulseaudio
DistroRelease: Ubuntu 13.10
HibernationDevice: RESUME=UUID=4dda44f8-4af3-48ee-a792-83453ef293e5
Lsusb:
 Bus 001 Device 003: ID 0402:5602 ALi Corp. M5602 Video Camera Controller
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Acer Aspire 9300
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux-generic 3.11.0.14.15
PackageArchitecture: amd64
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-14-generic root=UUID=793246ac-c5ff-421b-a508-052d57cca90c ro rootfstype=ext4 quiet splash
ProcVersionSignature: Ubuntu 3.11.0-14.21-generic 3.11.7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-14-generic N/A
 linux-backports-modules-3.11.0-14-generic N/A
 linux-firmware 1.116
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: saucy
Uname: Linux 3.11.0-14-generic x86_64
UpgradeStatus: Upgraded to saucy on 2013-09-05 (102 days ago)
UserGroups: adm admin lpadmin sambashare
WifiSyslog: Dec 17 21:21:32 daniele-laptop wpa_supplicant[1482]: wlan1: WPA: Group rekeying completed with 84:c9:b2:f9:6c:81 [GTK=TKIP]
WpaSupplicantLog:

dmi.bios.date: 12/13/2006
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.14
dmi.board.name: Myallm
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.14:bd12/13/2006:svnAcer:pnAspire9300:pvr0100:rvnAcer:rnMyallm:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 9300
dmi.product.version: 0100
dmi.sys.vendor: Acer

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Pierina Stefanelli, so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

tags: removed: apport-collected saucy
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.